grantable_to=access_group(可授予用户组的内容)需要下述权限。
所需权限: 取决于您发送的内容:
- 传入
grantable_to=access_group时:access_group:view
查询参数
响应
object
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X GET 'https://app.memorylake.cn/openapi/memorylake/admin/v1/permission-catalog' \
-H 'Authorization: Bearer sk_xxxxxx'
{
"success": true,
"message": "Operation completed successfully",
"data": {
"resource_types": [
{
"actions": [
{
"action": "example",
"destructive": false,
"grantable": false,
"prerequisites": []
}
],
"resource_type": "example"
}
]
}
}
列出权限规则可指定的资源类型和操作,以及每个操作的前置权限
curl -X GET 'https://app.memorylake.cn/openapi/memorylake/admin/v1/permission-catalog' \
-H 'Authorization: Bearer sk_xxxxxx'
{
"success": true,
"message": "Operation completed successfully",
"data": {
"resource_types": [
{
"actions": [
{
"action": "example",
"destructive": false,
"grantable": false,
"prerequisites": []
}
],
"resource_type": "example"
}
]
}
}
GET /openapi/memorylake/admin/v1/permission-catalog
grantable_to=access_group(可授予用户组的内容)需要下述权限。
grantable_to=access_group 时:access_group:viewcurl -X GET 'https://app.memorylake.cn/openapi/memorylake/admin/v1/permission-catalog' \
-H 'Authorization: Bearer sk_xxxxxx'
Show Permission Catalog 对象
Show Catalog Resource Type 对象
{
"success": true,
"message": "Operation completed successfully",
"data": {
"resource_types": [
{
"actions": [
{
"action": "example",
"destructive": false,
"grantable": false,
"prerequisites": []
}
],
"resource_type": "example"
}
]
}
}